Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 816228 - aeolus-conductor logs fails to update after an upgrade
Summary: aeolus-conductor logs fails to update after an upgrade
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
Assignee: Angus Thomas
QA Contact: Rehana
URL:
Whiteboard:
Depends On: 817587 870054
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-25 14:49 UTC by Aziza Karol
Modified: 2012-10-25 13:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-07 15:16:09 UTC


Attachments (Terms of Use)

Description Aziza Karol 2012-04-25 14:49:53 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
I had earlier installed aeolus-all-0.8.12-1.el6_2.noarch and then I upgraded to  aeolus-all-0.8.13-1.el6_2.noarch.rpm   using yum upgrade aeolus-all.

Upgrade was successful.navigated through the applications..however rails.log was not getting updated.

  
Actual results:
All the aeolus-conductor logs were not getting updated.
# ls -lhtr
total 0
-rw-r--r--. 1 aeolus aeolus 0 Apr 20 12:27 thin.log
-rw-r--r--. 1 aeolus aeolus 0 Apr 20 12:27 rails.log
-rw-r--r--. 1 aeolus aeolus 0 Apr 20 12:27 dbomatic.log



Expected results:
logs must get updated.

Additional info:
rpm  -qa | grep aeolus
aeolus-configure-2.5.3-1.el6.noarch
aeolus-conductor-daemons-0.8.13-1.el6_2.noarch
aeolus-conductor-doc-0.8.13-1.el6_2.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-all-0.8.13-1.el6_2.noarch
aeolus-conductor-0.8.13-1.el6_2.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch

Comment 1 Aziza Karol 2012-04-25 14:54:41 UTC
when i restarted the aeolus-conductor.. logs were getting updated.

Should  restart be part of rpm upgrade or not?

Comment 3 Dave Johnson 2012-05-07 15:16:09 UTC
So we are going to close this out as a restart of conductor services will be part of the upgrade process.  We need to make sure we get a test case open for this.


Note You need to log in before you can comment on or make changes to this bug.